@import url('https://fonts.googleapis.com/css?family=Raleway');
html {
    background-color: white;
}
body{
    margin: 0;
    padding: 0;
}
body,h1,h2,h3,h4,h5,h6{
    font-family: "Noto Sans Lao";
}

/* navbar style css start  */
nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100px;
    box-sizing: border-box;
    transition: .5s;
    color: rgb(0, 17, 76);
    z-index: 99999;
}
nav.black{
    background-color: rgba(0, 0, 0, 0.8);
    height: 90px;
    padding: 10px 50px;
    color: white;
}

.navbar{
    width: 80%;
    margin-left: 10%;
}

.itech-logo {
    font-size: 1.5rem;
    margin: .5rem;
    font-weight: bold;
}

.navbar-links {
    height: 100%;
}

.navbar-links ul {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
}

.navbar-links li {
    list-style: none;
}

nav.black .vertical{
 border-right: 1px solid white;
 height: 20px;
}

.vertical{
 border-right: 1px solid #00114C;
 height: 20px;
}

.navbar-links li a {
    display: block;
    text-decoration: none;
    color: #011e89;
    padding: 0.5rem 2rem;
    font-size: 18px;
    position: relative;
    font-weight: 600;
}

nav.black .navbar-links li a {
    color: white;
}

.navbar-links li a.active::after{
    width: 100%;
}

.navbar-links li a:hover{
    color: #00114C;
}

.navbar-links li a:after{
    content: "";
    position: absolute;
    background-color:red;
    height:3px;
    width:0;
    left:0;
    bottom: 0px;
    transition: 0.3s;
}

.navbar-links li a:hover:after {
     width:100%;
}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: rgb(0, 17, 76);;
    border-radius: 10px;
}

/* section style start  */
section.section1{
    width: 100%;
    height: 100vh;
    background: url(/image/banner01.jpg);
    /* background-color: rgb(235, 235, 235); */
    background-attachment: fixed;
    background-size: cover;
}

.slider-container{
    display: flex; 
    align-items: center; 
    justify-content: center;
    padding-top: 100px;
}

/* slider style start  */
.slider{
    width: 93%;
    margin: 20px 0 30px 0;
    height: 400px;
    margin-top: 5vh;
}

.banner-slider{
    height: 100%;
    text-align: center;
}

.banner-slider img{
    height: 400px;
    border-radius: 10px;
}

.previous{
    border: none; 
    background-color: white; 
    margin-right: -50px;
    color:#00114C;
    z-index: 999;
}

.next{
    border: none; 
    background-color: white;
     margin-left: -50px;
     color:#00114C;
     z-index: 999;
}

/* category style start  */
.category-container{
    margin: 10vh 0;
    height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: rgb(248, 248, 248);
}

.category-container h5{
    margin: 0 0 20px 50px;
}

.category{
    display: flex;
    align-content: center;
    justify-content: center;
}

.category .card img{
    height: 200px;
    width: 15rem;
}

/* product style start  */
.product-container{
    /* border: 1px solid red; */
    margin-top: 20px;
    padding: 30px;
}

.product-container .row{
    padding: 8vh 0;
}

.product-container img{
    height: 22rem;
    width: 100%;
    transition: all 0.5s;
    cursor: pointer;
}

.product-container img:hover{
    transform: scale(1.03);
}

.product-container .content{
    transition: all 1.0s;
    cursor: pointer;
}

.product-container .content:hover{
    /* border: 1px solid rgb(212, 212, 212); */
    border-radius: 5px;
    transform: scale(1.01);
}

.product-container .row .card-footers{
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: "Noto Sans Lao";
}

.social-media{
    display: flex;
    align-items: center;
    justify-content: center;
    background:white;
}

.social-media .icon{
    height: 35px;
    width: 35px;
    border-radius: 100px;
    line-height: 35px;
    background: rgb(255, 249, 249);
    font-size: 22px;
    text-align: center;
    margin: 10px;
    overflow: hidden;
    box-shadow: 5px 10px 20px rgba(102, 102, 102, 0.3);
    transition: all .3s ease-out;
}

.social-media .icon:hover{
    width: 125px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    color: #fff;
}

.social-media span{
    font-size: 18px;
}

.social-media .icon:hover .fa-facebook{
    color: #fff;
}

.social-media .fa-facebook{
    color: #1A6ED8;
}

.fb:hover{
    background: #1A6ED8;
}

.social-media .icon:hover .fa-whatsapp{
    color: #fff;
}

.social-media .fa-whatsapp{
    color: #19a235;
}

.whats:hover{
    background: #19a235;
}

.social-media .icon:hover .fa-facebook-messenger{
    color: #fff;
}

.social-media .fa-facebook-messenger{
    color: #4658a4;
}

.mess:hover{
background: rgb(76,66,238);
background: linear-gradient(90deg, rgba(76,66,238,1) 26%, rgba(120,39,117,1) 100%);
}

.social-media .icon:hover .fa-phone{
    color: #000;
}

.social-media .icon:hover .phone{
    color: #000;
}

.social-media .fa-phone{
    color: #000;
}

.call:hover{
    background: white;
}


/* footer style start  */
footer{
    width: 100%;
    height: 35vh;
    background-color: black;
    position: relative;
    color: white;
    padding: 20px;
    text-align: center;
}

footer .horizontal{
    border-bottom: 3px solid red;
    margin: -5px 0 20px 0;
    width: 10%;
    margin-left: 45%;
}

footer p{
    width: 50%;
    margin-left: 25%;
}

footer .social-media{
    width: 26%;
    margin-left: 37%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #000;
}


@media (max-width: 800px) {
    .navbar {
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
        border: 1px solid red;
        width: 100%;
        margin: 0;
    }

    nav.black{
    background-color: rgba(0, 0, 0, 0.8);
    height: 90px;
    padding: 5px 10px;
    color: white;
    }

    nav.black .toggle-button .bar{
        color: white;
    }

    .itech-logo{
        border: 1px solid red;
        margin-left: -150px;
    }

    .toggle-button {
        display: flex;
        margin-top: 10px;
    }

    .navbar-links {
        display: none;
        width: 100%;
    }

    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .navbar-links ul li {
        text-align: center;
    }

    .navbar-links ul li a {
        padding: .5rem 1rem;
    }

    .vertical{
        display: none;
    }

    .navbar-links.active {
        display: flex;
    }
}